/*
 * Copyright 2019-2024 Collabora Ltd.
 * Copyright 2022-2024 Sam Lantinga
 * Copyright 2022-2024 SDL contributors
 * SPDX-License-Identifier: Zlib
 */

#define SDL_MAIN_HANDLED
#include <SDL3/SDL.h>
#include <SDL3/SDL_main.h>

int
main (int argc, char **argv)
{
    SDL_SetMainReady();

    if (!SDL_Init(0)) {
        SDL_Log("SDL_Init: %s", SDL_GetError());
        return 1;
    }

    SDL_Log("SDL version %s", SDL_GetRevision());
    SDL_Quit();
    return 0;
}
